LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Modules | Variables
WindowAttribute.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::WindowAttribute
| These values are used to specify the decorations of a window.

## Variables
const long | SHOW = 1
| specifies that the window is initially visible.
const long | FULLSIZE = 2
| specifies that the window fills the complete desktop area.
const long | OPTIMUMSIZE = 4
| specifies that the window is optimum size.
const long | MINSIZE = 8
| specifies that the window is minimum size.
const long | BORDER = 16
| specifies that the window has visible borders.
const long | SIZEABLE = 32
| specifies that the size of the window can be changed by the user.
const long | MOVEABLE = 64
| specifies that the window can be moved by the user.
const long | CLOSEABLE = 128
| specifies that the window can be closed by the user.
const long | SYSTEMDEPENDENT = 256
| specifies that the window should support the com::sun::star::awt::XSystemDependentWindowPeer interface.
const long | NODECORATION = 512
| specifies that the window should have no decoration.